Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1585408

Description of problem:
SQL error when adding some puppet modules to CV: PG::UniqueViolation: ERROR: duplicate key value violates unique constraint
"katello_cv_puppet_modules_name"

Version-Release number of selected component (if applicable):
satellite-6.4.0-9.beta.el7sat.noarch
tfm-rubygem-hammer_cli-0.13.0-1.el7sat.noarch

How reproducible:
happens for about 20% of modules

Steps to Reproduce:

1. Sync whole PuppetForge, create content view "MyCV"

2. # hammer --csv -u admin -p changeme puppet-module list \

> puppet-module-list.csv

3. #foruin $(cut-d', -f 5 puppet-module-list.csv ); do

hammer -u admin -p changeme content-view puppet-module add \
--content-view "MyCV" --organization "Default Organization" \
--uuid "$u"

done

Actual results:

Could not add the puppet module:

PG::UniqueViolation: ERROR: duplicate key value violates unique constraint "katello_cv_puppet_modules_name"

DETAIL: Key (name, content_view_id)=(sumo, 7) already exists.

:INSERT INTO "katello_content_view_puppet_modules” ("content_view_id", "name", "author”, "uuid", "created_at", "updated_at")
VALUES ($1, $2, $3, $4, $5, $6) RETURNING "id"

Expected results:
Either should work or should provide some user friendly message

Associated revisions

Revision 403f7d48 - 06/15/2018 02:25 PM - Stephen Benjamin
fixes #23945 - check for duplicate puppet module name in CV

History

#1 - 06/14/2018 05:17 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin
https://bugzilla.redhat.com/show_bug.cgi?id=1585408

- Pull request https://github.com/Katello/katello/pull/7456 added

#2 - 06/15/2018 03:01 PM - Stephen Benjamin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|403{7d484e66d1bd006dc3bb7c4{f7325b98a4a8.

#3 - 06/20/2018 05:44 PM - Jonathon Turel

- Subject changed from SQL error when adding some puppet modules to CV: PG::UniqueViolation: ERROR: duplicate key value violates unique
constraint "katello_cv_puppet_modules_name"

to SQL error when adding some puppet modules to CV: PG::UniqueViolation: ERROR: duplicate key value violates unique constraint
"katello_cv_puppet_modules_name"

- translation missing: en.field_release set to 338

05/20/2024 22


https://projects.theforeman.org/projects/katello/repository/katello/revisions/403f7d484e66d1bd006dc3bb7c4ff7325b98a4a8
http://www.tcpdf.org

